import { ObjectLike, ObjectFilter, ObjectMapper, PickOmit } from './types.js';
export { ObjectKeyPath } from './types.js';
export { default as any } from './any.js';
export { default as count } from './count.js';
export { default as countBy } from './countBy.js';
export { default as every } from './every.js';
export { default as fromPairs } from './fromPairs.js';
export { default as isPlainObject } from './isPlainObject.js';
export { default as map } from './map.js';
export { default as mapValues } from './mapValues.js';
export { default as maxBy } from './maxBy.js';
export { default as minBy } from './minBy.js';
export { default as omit } from './omit.js';
export { default as omitBy } from './omitBy.js';
export { default as omitNull } from './omitNull.js';
export { default as pad } from './pad.js';
export { default as pick } from './pick.js';
export { default as pickBy } from './pickBy.js';
export { default as set } from './set.js';
export { default as setProps } from './setProps.js';
export { default as toPairs } from './toPairs.js';
export { default as uniq } from './uniq.js';
export { default as uniqBy } from './uniqBy.js';

declare const _default: {
    any: <T>(object: ObjectLike<T>, filter: ObjectFilter<T>) => boolean;
    countBy: <T_1>(object: ObjectLike<T_1>, mapper?: ObjectMapper<T_1>) => ObjectLike<number>;
    count: <T_2>(object: ObjectLike<T_2>, filter: ObjectFilter<T_2>) => number;
    every: <T_3>(object: ObjectLike<T_3>, filter: ObjectFilter<T_3>) => boolean;
    fromPairs: (array: [string, any][]) => Record<string, any>;
    isPlainObject: (o: any) => boolean;
    map: <T_4>(object: ObjectLike<T_4>, mapper?: ObjectMapper<T_4>) => T_4[];
    mapValues: <T_5>(object: ObjectLike<T_5>, mapper?: ObjectMapper<T_5>) => ObjectLike<T_5>;
    maxBy: <T_6>(arr: T_6[], filter: ObjectMapper<T_6>) => T_6;
    minBy: <T_7>(arr: T_7[], filter: ObjectMapper<T_7>) => T_7;
    omit: PickOmit;
    omitBy: <T_8>(object: ObjectLike<T_8>, filter: ObjectFilter<T_8>) => ObjectLike<T_8>;
    omitNull: <T_9>(object: ObjectLike<T_9>, filter?: ObjectFilter<T_9>) => ObjectLike<T_9>;
    pad: (string: string, width?: number, fillString?: string) => string;
    pick: <T_10>(object: ObjectLike<T_10>, fields: string[]) => ObjectLike<T_10>;
    pickBy: <T_11>(object: ObjectLike<T_11>, filter: ObjectFilter<T_11>) => ObjectLike<T_11>;
    setProps: <T_12>(object: T_12, ...propsArray: Record<string, unknown>[]) => T_12;
    toPairs: (object: Record<string, any>) => [string, any][];
    uniq: <T_13>(arr: T_13[]) => T_13[];
    uniqBy: <T_14>(arr: T_14[], mapper: ObjectMapper<T_14>) => T_14[];
};

export { ObjectFilter, ObjectLike, ObjectMapper, PickOmit, _default as default };
