type ObjectLike<T> = Record<string, T>;
type ObjectKeyPath = string | string[];
type ObjectFilter<T> = (value?: T, key?: string, object?: ObjectLike<T>) => boolean;
type ObjectMapper<T> = (value?: T, key?: string, object?: ObjectLike<T>) => any;
interface PickOmit {
    <T extends Record<string, unknown>, K extends [...(keyof T)[]]>(obj: T, keys: K): {
        [K2 in Exclude<keyof T, K[number]>]: T[K2];
    };
}

export { ObjectFilter, ObjectKeyPath, ObjectLike, ObjectMapper, PickOmit };
